---
title: "Revoke an AI connector integration key"
description: "Owners and admins. Sets is_active=false; the key stops working on its next call."
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › AI Connectors

`DELETE /api/workspaces/{workspaceId}/ai-connectors/integration-keys/{keyId}`

Owners and admins. Sets is_active=false; the key stops working on its next call.

## Authentication

- `BearerAuth`, http, header `Authorization`, format `JWT`

## Path parameters

- `workspaceId` (`delete/api/workspaces/workspaceId/ai-connectors/integration-keys/keyId.path.workspaceId`; string, required)
- `keyId` (`delete/api/workspaces/workspaceId/ai-connectors/integration-keys/keyId.path.keyId`; string, required)
  - format `uuid`

## Code samples

### cURL

```bash
curl --request DELETE \
  --url 'https://api.channelautomation.com/api/workspaces/<workspaceId>/ai-connectors/integration-keys/<keyId>' \
  --header 'Authorization: Bearer <token>'
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/workspaces/<workspaceId>/ai-connectors/integration-keys/<keyId>';
const options = {method: 'DELETE', headers: {Authorization: 'Bearer <token>'}};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/workspaces/<workspaceId>/ai-connectors/integration-keys/<keyId>"

headers = {"Authorization": "Bearer <token>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

## Responses

### 200

{ success, data: { id, name, is_active: false } }

### 403

Not an owner or admin

### 404

No integration key with that id in this workspace

### 503

Unavailable


Source: https://developer.channelautomations.com/api/delete-api-workspaces-workspace-id-ai-connectors-integration-keys-key-id/index.md
